<!-- register.html -->
{% extends "_base.html" %} {% block content %}
<div class="register">
  <h1>Register</h1>
  <form
    action="{{ url_for('accounts.register') }}"
    method="post"
    class="register--form"
  >
    {{ form.hidden_tag() }}
    <p>
      {{ form.username.label }}<br />
      {{ form.username(size=32) }}
    </p>
    <p>
      {{ form.email.label }}<br />
      {{ form.email(size=64) }}
    </p>
    <p>
      {{ form.password.label }}<br />
      {{ form.password(size=32) }}
    </p>
    <p>
      {{ form.password2.label }}<br />
      {{ form.password2(size=32) }}
    </p>
    <p class="submit">{{ form.submit() }}</p>
    <a href="{{ url_for('accounts.login') }}" class="register--link">
      Already have an account? Login.
    </a>
  </form>
</div>

{% endblock %}
